## CORBA Interface IProcessJob

### Definition

CORBA Module DFProcessFlow

### IProcessJob Description

CORBA Definitions
attribute DefaultValueCount |
attribute IsDataJob |
attribute ErrorBehavior |
attribute Id |
attribute MapFailBehavior |
attribute Nodes |
attribute PropertySet |
attribute Resources |
attribute VarDefs |
method AsXML |
method Close |
method CreateDefaultValue |
method CreateJobNode |
method CreateResource |
method CreateVarDef |
method DeleteDefaultValue |
method DeleteDefaultValueByIndex |
method DeleteJobNodeById |
method DeleteJobNodeByIndex |
method DeleteResourceById |
method DeleteResourceByIndex |
method DeleteState |
method DeleteVarDefByName |
method DeleteVarDefByIndex |
method GenerateNewJobId |
method GetConfigValue |
method GetConfigValues |
method GetCreateDefaultValue |
method GetDefaultValue |
method GetDefaultValueByIndex |
method GetJobNodeById |
method GetJobNodeByIndex |
method GetLineage |
method GetResourceById |
method GetResourceByIndex |
method GetSubJob |
method GetTopLevelNode |
method GetVarDefByName |
method GetVarDefByIndex |
method GetVarDefsXML |
method InsertJob |
method InsertJobXML |
method ListState |
method ReconcileJob |
method ReconcileJobXML |
method Save |
method SetConfigValue |
method SetConfigValues |

Java Classes
IProcessJobHelper | Used to manipulate the IProcessJob type
IProcessJobHolder | Used to process the IProcessJob type as an out parameter

Java Interfaces
IProcessJob |

Java Interface IProcessJob

Package com.sas.iom.DFProcessFlow

IProcessJob Description

`public interface IProcessJob
extends org.omg.CORBA.Object`

Method Summary

octet[] | AsXML ( ) throws ( GenericError );
void | Close ()
IProcessJobDefaultValue | CreateDefaultValue ( java.lang.String name ) throws ( GenericError );
IProcessJobNode | CreateJobNode ( java.lang.String type , java.lang.String id ) throws ( GenericError );
IProcessJobResource | CreateResource ( java.lang.String type , java.lang.String id ) throws ( GenericError );
IProcessJobVarDef | CreateVarDef ( java.lang.String id ) throws ( GenericError );
void | DeleteDefaultValue ( java.lang.String name ) throws ( GenericError );
void | DeleteDefaultValueByIndex ( int index ) throws ( GenericError );
void | DeleteJobNodeById ( java.lang.String id ) throws ( GenericError );
void | DeleteJobNodeByIndex ( int index ) throws ( GenericError );
void | DeleteResourceById ( java.lang.String id ) throws ( GenericError );
void | DeleteResourceByIndex ( int index ) throws ( GenericError );
void | DeleteState ( java.lang.String path ) throws ( GenericError );
void | DeleteVarDefByName ( java.lang.String name ) throws ( GenericError );
void | DeleteVarDefByIndex ( int index ) throws ( GenericError );
java.lang.String | GenerateNewJobId ( java.lang.String newId ) throws ( GenericError );
java.lang.String | GetConfigValue ( java.lang.String key ) throws ( GenericError );
java.lang.String[][] | GetConfigValues ( ) throws ( GenericError );
IProcessJobDefaultValue | GetCreateDefaultValue ( java.lang.String name ) throws ( GenericError );
IProcessJobDefaultValue | GetDefaultValue ( java.lang.String name ) throws ( NotFound, GenericError );
IProcessJobDefaultValue | GetDefaultValueByIndex ( int index ) throws ( GenericError );
IProcessJobNode | GetJobNodeById ( java.lang.String id ) throws ( NotFound, GenericError );
IProcessJobNode | GetJobNodeByIndex ( int index ) throws ( GenericError );
octet[] | GetLineage ( java.lang.String jobPath ) throws ( GenericError );
IProcessJobResource | GetResourceById ( java.lang.String id ) throws ( NotFound, GenericError );
IProcessJobResource | GetResourceByIndex ( int index ) throws ( GenericError );
IProcessJob | GetSubJob ( java.lang.String nodeId , int instance ) throws ( GenericError );
IProcessJobNode | GetTopLevelNode ( ) throws ( GenericError );
IProcessJobVarDef | GetVarDefByName ( java.lang.String name ) throws ( NotFound, GenericError );
IProcessJobVarDef | GetVarDefByIndex ( int index ) throws ( GenericError );
octet[] | GetVarDefsXML ( ) throws ( GenericError );
java.lang.String[][] | InsertJob ( IProcessJob job ) throws ( GenericError );
java.lang.String[][] | InsertJobXML ( octet[] jobXML ) throws ( GenericError );
java.lang.String[][] | ListState ( java.lang.String dir ) throws ( GenericError );
void | ReconcileJob ( IProcessJob job ) throws ( GenericError );
void | ReconcileJobXML ( octet[] jobXML ) throws ( GenericError );
void | Save ( java.lang.String filename ) throws ( GenericError );
void | SetConfigValue ( java.lang.String key , java.lang.String value ) throws ( GenericError );
void | SetConfigValues ( java.lang.String[][] configs ) throws ( GenericError );

Java Class IProcessJobHelper

public class IProcessJobHelper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the IProcessJob type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IProcessJobHelper

Java Class IProcessJobHolder

public class IProcessJobHolder

Description
Implementing class for methods (_read, _write, _type) used to process the IProcessJob type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IProcessJobHolder

CORBA Attribute DefaultValueCount (readonly)

Description

Usage

Java Method DefaultValueCount

    public int DefaultValueCount ();

CORBA Attribute IsDataJob (readonly)

Description

Usage

Java Method IsDataJob

    public boolean IsDataJob ();

CORBA Attribute ErrorBehavior

Description

Usage

Java Method ErrorBehavior

    public ErrorBehavior ErrorBehavior ();
    public void ErrorBehavior ( ErrorBehavior ErrorBehavior );

CORBA Attribute Id (readonly)

Description

Usage

Java Method Id

    public java.lang.String Id ();

CORBA Attribute MapFailBehavior

Description

Usage

Java Method MapFailBehavior

    public MapFailBehavior MapFailBehavior ();
    public void MapFailBehavior ( MapFailBehavior MapFailBehavior );

CORBA Attribute Nodes (readonly)

Description

Usage

Java Method Nodes

    public int Nodes ();

CORBA Attribute PropertySet (readonly)

Description

Usage

Java Method PropertySet

    public IProcessPropertySet PropertySet ();

CORBA Attribute Resources (readonly)

Description

Usage

Java Method Resources

    public int Resources ();

CORBA Attribute VarDefs (readonly)

Description

Usage

Java Method VarDefs

    public int VarDefs ();

CORBA Method AsXML

Description

Usage

Java Method AsXML

`octet[]` AsXML (

        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---

Example

CORBA Method Close

Description

Usage

Java Method Close

`void` Close ( )

Example

CORBA Method CreateDefaultValue

Description

Usage

Java Method CreateDefaultValue

`public IProcessJobDefaultValue` CreateDefaultValue (

        java.lang.String name
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
name | in | java.lang.String |

Example

CORBA Method CreateJobNode

Description

Usage

Java Method CreateJobNode

`public IProcessJobNode` CreateJobNode (

        java.lang.String type ,
        java.lang.String id
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
type | in | java.lang.String |
id | in | java.lang.String |

Example

CORBA Method CreateResource

Description

Usage

Java Method CreateResource

`public IProcessJobResource` CreateResource (

        java.lang.String type ,
        java.lang.String id
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
type | in | java.lang.String |
id | in | java.lang.String |

Example

CORBA Method CreateVarDef

Description

Usage

Java Method CreateVarDef

`public IProcessJobVarDef` CreateVarDef (

        java.lang.String id
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
id | in | java.lang.String |

Example

CORBA Method DeleteDefaultValue

Description

Usage

Java Method DeleteDefaultValue

`void` DeleteDefaultValue (

        java.lang.String name
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
name | in | java.lang.String |

Example

CORBA Method DeleteDefaultValueByIndex

Description

Usage

Java Method DeleteDefaultValueByIndex

`void` DeleteDefaultValueByIndex (

        int index
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
index | in | int |

Example

CORBA Method DeleteJobNodeById

Description

Usage

Java Method DeleteJobNodeById

`void` DeleteJobNodeById (

        java.lang.String id
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
id | in | java.lang.String |

Example

CORBA Method DeleteJobNodeByIndex

Description

Usage

Java Method DeleteJobNodeByIndex

`void` DeleteJobNodeByIndex (

        int index
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
index | in | int |

Example

CORBA Method DeleteResourceById

Description

Usage

Java Method DeleteResourceById

`void` DeleteResourceById (

        java.lang.String id
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
id | in | java.lang.String |

Example

CORBA Method DeleteResourceByIndex

Description

Usage

Java Method DeleteResourceByIndex

`void` DeleteResourceByIndex (

        int index
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
index | in | int |

Example

CORBA Method DeleteState

Description

Usage

Java Method DeleteState

`void` DeleteState (

        java.lang.String path
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
path | in | java.lang.String |

Example

CORBA Method DeleteVarDefByName

Description

Usage

Java Method DeleteVarDefByName

`void` DeleteVarDefByName (

        java.lang.String name
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
name | in | java.lang.String |

Example

CORBA Method DeleteVarDefByIndex

Description

Usage

Java Method DeleteVarDefByIndex

`void` DeleteVarDefByIndex (

        int index
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
index | in | int |

Example

CORBA Method GenerateNewJobId

Description

Usage

Java Method GenerateNewJobId

`java.lang.String` GenerateNewJobId (

        java.lang.String newId
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
newId | in | java.lang.String |

Example

CORBA Method GetConfigValue

Description

Usage

Java Method GetConfigValue

`java.lang.String` GetConfigValue (

        java.lang.String key
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
key | in | java.lang.String |

Example

CORBA Method GetConfigValues

Description

Usage

Java Method GetConfigValues

`java.lang.String[][]` GetConfigValues (

        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---

Example

CORBA Method GetCreateDefaultValue

Description

Usage

Java Method GetCreateDefaultValue

`public IProcessJobDefaultValue` GetCreateDefaultValue (

        java.lang.String name
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
name | in | java.lang.String |

Example

CORBA Method GetDefaultValue

Description

Usage

Java Method GetDefaultValue

`public IProcessJobDefaultValue` GetDefaultValue (

        java.lang.String name
        )
        throws (
                NotFound,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
name | in | java.lang.String |

Example

CORBA Method GetDefaultValueByIndex

Description

Usage

Java Method GetDefaultValueByIndex

`public IProcessJobDefaultValue` GetDefaultValueByIndex (

        int index
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
index | in | int |

Example

CORBA Method GetJobNodeById

Description

Usage

Java Method GetJobNodeById

`public IProcessJobNode` GetJobNodeById (

        java.lang.String id
        )
        throws (
                NotFound,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
id | in | java.lang.String |

Example

CORBA Method GetJobNodeByIndex

Description

Usage

Java Method GetJobNodeByIndex

`public IProcessJobNode` GetJobNodeByIndex (

        int index
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
index | in | int |

Example

CORBA Method GetLineage

Description

Usage

Java Method GetLineage

`octet[]` GetLineage (

        java.lang.String jobPath
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
jobPath | in | java.lang.String |

Example

CORBA Method GetResourceById

Description

Usage

Java Method GetResourceById

`public IProcessJobResource` GetResourceById (

        java.lang.String id
        )
        throws (
                NotFound,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
id | in | java.lang.String |

Example

CORBA Method GetResourceByIndex

Description

Usage

Java Method GetResourceByIndex

`public IProcessJobResource` GetResourceByIndex (

        int index
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
index | in | int |

Example

CORBA Method GetSubJob

Description

Usage

Java Method GetSubJob

`public IProcessJob` GetSubJob (

        java.lang.String nodeId ,
        int instance
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
nodeId | in | java.lang.String |
instance | in | int |

Example

CORBA Method GetTopLevelNode

Description

Usage

Java Method GetTopLevelNode

`public IProcessJobNode` GetTopLevelNode (

        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---

Example

CORBA Method GetVarDefByName

Description

Usage

Java Method GetVarDefByName

`public IProcessJobVarDef` GetVarDefByName (

        java.lang.String name
        )
        throws (
                NotFound,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
name | in | java.lang.String |

Example

CORBA Method GetVarDefByIndex

Description

Usage

Java Method GetVarDefByIndex

`public IProcessJobVarDef` GetVarDefByIndex (

        int index
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
index | in | int |

Example

CORBA Method GetVarDefsXML

Description

Usage

Java Method GetVarDefsXML

`octet[]` GetVarDefsXML (

        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---

Example

CORBA Method InsertJob

Description

Usage

Java Method InsertJob

`java.lang.String[][]` InsertJob (

        IProcessJob job
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
job | in | IProcessJob |

Example

CORBA Method InsertJobXML

Description

Usage

Java Method InsertJobXML

`java.lang.String[][]` InsertJobXML (

        octet[] jobXML
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
jobXML | in | octet[] |

Example

CORBA Method ListState

Description

Usage

Java Method ListState

`java.lang.String[][]` ListState (

        java.lang.String dir
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
dir | in | java.lang.String |

Example

CORBA Method ReconcileJob

Description

Usage

Java Method ReconcileJob

`void` ReconcileJob (

        IProcessJob job
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
job | in | IProcessJob |

Example

CORBA Method ReconcileJobXML

Description

Usage

Java Method ReconcileJobXML

`void` ReconcileJobXML (

        octet[] jobXML
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
jobXML | in | octet[] |

Example

CORBA Method Save

Description

Usage

Java Method Save

`void` Save (

        java.lang.String filename
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
filename | in | java.lang.String |

Example

CORBA Method SetConfigValue

Description

Usage

Java Method SetConfigValue

`void` SetConfigValue (

        java.lang.String key ,
        java.lang.String value
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
key | in | java.lang.String |
value | in | java.lang.String |

Example

CORBA Method SetConfigValues

Description

Usage

Java Method SetConfigValues

`void` SetConfigValues (

        java.lang.String[][] configs
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
configs | in | java.lang.String[][] |

Example